# file: libmp3splt.spec #

Source1000:     vdb.lua
%include        %{S:1000}

%global major   0
%global minor   9
%global patch   2
%global rel     0.vdb.1

Name:           libmp3splt
Version:        %{major}.%{minor}.%{patch}
Release:        %{rel}%{?dist}
Summary:        Library for mp3/ogg splitting without decoding
License:        GPLv2+
URL:            http://mp3splt.sourceforge.net
Source0:        https://sourceforge.net/projects/mp3splt/files/%{name}/%{version}/%{name}-%{version}.tar.gz

BuildRequires:  doxygen
BuildRequires:  gcc
BuildRequires:  gettext
BuildRequires:  graphviz
BuildRequires:  libtool
BuildRequires:  libtool-ltdl
BuildRequires:  libtool-ltdl-devel  %{rem: libltdl.so }
BuildRequires:  make
BuildRequires:  pkgconfig(cutter)
BuildRequires:  pkgconfig(flac)
BuildRequires:  pkgconfig(id3tag)
BuildRequires:  pkgconfig(libpcre)
BuildRequires:  pkgconfig(mad)
BuildRequires:  pkgconfig(ogg)
BuildRequires:  pkgconfig(vorbis)

%package devel

Summary:        Development files for %{name}
Requires:       %{name} = %{version}-%{release}

%package doc

Summary:        Developer's documentation for %{name}

%description
%{lua: descr( [[
    %{name} is a library for splitting mp3, ogg vorbis and native FLAC files without decoding.
]] ) }

%description devel
%{lua: descr( [[
    %{name} headers and static libraries.
]] ) }

%description doc
%{lua: descr( [[
    Developer's documentation generated with Doxygen.
]] ) }

%prep
%setup -q
%{configure} --with-clutter

%build
%{make_build} -j1

%check
%{__make} check

%install
%{make_install}
%find_lang %{name}0

%clean

%files -f %{name}0.lang
        %{_libdir}/%{name}.so.*
%dir    %{_libdir}/%{name}0
        %{_libdir}/%{name}0/*.so.*
%license COPYING

%files devel
        %{_libdir}/%{name}.so
        %{_libdir}/%{name}.{a,la}
%dir    %{_libdir}/%{name}0
        %{_libdir}/%{name}0/*.so
        %{_libdir}/%{name}0/*.{a,la}
        %{_libdir}/pkgconfig/%{name}.pc
%dir    %{_includedir}/%{name}
        %{_includedir}/%{name}/*

%files doc
%dir    %{_pkgdocdir}
%dir    %{_pkgdocdir}/doxygen
        %{_pkgdocdir}/doxygen/*

%changelog

* Sat Dec 05 2020 Van de Bugger - 0.9.2-0.vdb.1
- Initial release.

